using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack || Session["data"] == null)
        {
            Session["data"] = new BusinessObjectCollection(10);
        }

        RadGrid1.NeedDataSource += new Telerik.Web.UI.GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);

        HandlePostBack();
    }

    void RadGrid1_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = Session["data"] as BusinessObjectCollection;
    }

    private void HandlePostBack()
    {
        string eventTarget = Request.Params.Get("__EVENTTARGET");
        string eventArg = Request.Params.Get("__EVENTARGUMENT");

        if (eventTarget != null && eventTarget.IndexOf("prompt") > -1)
        {
            int rowIndex = Int32.Parse(eventTarget.Split(':')[1]);
            ResultsPanel.Controls.Add(new LiteralControl("Item: " + rowIndex.ToString() + " Message: " + eventArg));
        }
    }
}